import 'package:json_annotation/json_annotation.dart';

part 'track_days.g.dart';

@JsonSerializable()
class TrackDays {
  @JsonKey(name: 'day')
  String day;
  @JsonKey(name: 'start')
  int start;
  @JsonKey(name: 'end')
  int end;

  TrackDays({
    required this.day,
    required this.start,
    required this.end,
  });

  factory TrackDays.fromJson(Map<String, dynamic> json) =>
      _$TrackDaysFromJson(json);
}
